import 'package:flutter_test/flutter_test.dart';
import 'mock/dto/sample/echo_action.pbserver.dart';
import 'mock/dto/sample/string_response.pbserver.dart';
import 'mock/dto/sample/sample_service.pb.dart';
import 'package:libcli/settings.dart';

void main() {
  group('Command Service Production', () {
    test('should connect to auth master', () async {
      Settings().serviceMode = Runtime.Master;
      SampleService service = SampleService();

      EchoAction echoAction = EchoAction();
      echoAction.text = 'helloWorld';
      StringResponse response = await service.execute(echoAction);
      expect(response.text, "echo:helloWorld");
    });
  });
}
